• 1355


    Problem Description 
     

    Ms. Terry is a pre-school art teacher who likes to have her students work with clay. One of her assignments is to form a lump of clay into a block and then measure the dimensions of the block. However, in every class, there is always one child who insists on taking some clay from some other child. Since Ms. Terry always gives every child in a class the same amount of clay to begin with, you can write a program that helps Ms. Terry find the bully and victim after she measures each child's finished block. 

    Input

    There are one or more classes of students, followed by a final line containing only the value -1. Each class starts with a line containing an integer, n, which is the number of students in the class, followed by n lines of student information. Each line of student information consists of three positive integers, representing the dimensions of the clay block, followed by the student's first name. There can never be more than 9 students nor less than 2 students in any class. Each student's name is at most 8 characters. Ms. Terry always gives each student at most 250 cubic units of clay. There is exactly one bully and one victim in each class. 

    Output

    For each class print a single line exactly as shown in the sample output.

    Sample Input

    3
    10 10 2 Jill
    5 3 10 Will
    5 5 10 Bill
    4
    2 4 10 Cam
    4 3 7 Sam
    8 11 1 Graham
    6 2 7 Pam
    -1
    

    Sample Output

    Bill took clay from Will.
    Graham took clay from Cam.

    题意:幼儿园的小朋友一开始得到的泥土一样多,然后有一个小朋友抢了另一个小朋友的泥土,通过测量他们最后用泥土做的玩具的长宽高,看出抢和被抢的分别是哪个小朋友。

        思路:看懂题了就没障碍了,话说一开始理解为每个小朋友做了3个,那三个数字分别是他们的高度,汗!其实不用算平均值的,因为强和被抢的都只有一个,找出最大和最小就可以。

        代码:

      

    #include<stdio.h>
    struct student{
        int length;
        int depth;
        int height;
        char name[10];
        int v;
    }a[15];
    int main(){
        int i,j,k,g,T,max,min;
        for(i = 1;;i++){
            scanf("%d",&T);
            if(T==-1)
                break;
            for(j = 0;j<=T-1;j++){
                scanf("%d%d%d",&a[j].length,&a[j].depth,&a[j].height);
                scanf("%s",a[j].name);
                a[j].v = a[j].length*a[j].depth*a[j].height;
            }
            max = a[0].v;
            min = a[0].v;
            k = 0;
            g = 0;
            for(j = 0;j<=T-1;j++){
                if(a[j].v>max){
                    max = a[j].v;
                    k = j;
                }
                if(a[j].v<min){
                    min = a[j].v;
                    g = j;
                }
            }
            printf("%s took clay from %s.
    ",a[k].name,a[g].name);
        }
        return 0;
    }
  • 相关阅读:
    (数据科学学习手札33)基于Python的网络数据采集实战(1)
    (数据科学学习手札32)Python中re模块的详细介绍
    (数据科学学习手札31)基于Python的网络数据采集(初级篇)
    (数据科学学习手札30)朴素贝叶斯分类器的原理详解&Python与R实现
    (数据科学学习手札29)KNN分类的原理详解&Python与R实现
    (数据科学学习手册28)SQL server 2012中的查询语句汇总
    牛客3 F/G 牛牛的Link Power |线段树区间修改
    牛客2-H施魔法|线段树优化dp,维护区间最小值
    2020牛客寒假算法基础集训营1
    友情链接
  • 原文地址:https://www.cnblogs.com/ilovetheworld/p/10139767.html
Copyright © 2020-2023  润新知